# GET View a Callback

```
https://openapi.paveapi.com/v1/callbacks/:event
```

This endpoint allows you to get all callback settings from requesting API Key.

| Headers             | Type   | Description                                        |
| ------------------- | ------ | -------------------------------------------------- |
| **`API-Key`**       | string | The API-Key that was provided for your account     |
| **`API-Token`**     | string | The API-Token used when the session was created    |
| **`API-Timestamp`** | string | UTC Datetime string, example: 2021-05-30T12:49:19Z |

| Path Parameters | Type   | Description                                                                                                                   |
| --------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------- |
| **`event`**     | string | Input one of the Supported Events, view [the list here](/integrations/developer-docs/callbacks.md#supported-callback-events). |

#### Sample Response (200:Ok)

```
{
    "api_key": "<your_requested_api_key>",
    "data": {
        "event": "SESSION:STAGE_CHANGE",
        "url": "https://your_callback_url",
        "method": "POST",
        "headers": {
            "Authorization": "Bearer <jwt_token>"
        },
        "payload": {
            "source": "PAVE", // additional attributes to pass along; setting on create callback
        }
    },    
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paveapi.com/integrations/developer-docs/callbacks/get-view-a-callback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
